{% extends "base.html" %}
{% load static %}
{% load static %}
{% block css %}

<link href="{% static 'css/progress.css' %}" rel="stylesheet">
<link href="{% static 'css/widget.css' %}" rel="stylesheet">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link href="{% static 'css/timeline.css' %}" rel="stylesheet">

{% endblock css %}

{% block content %}

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Información General de la Solicitud</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <table class="table table-bordered">
                            <thead>
                                <th class="text-center" colspan="2">Datos de la Empresa</th>
                            </thead>
                            <tbody>
                               <tr>
                                   <td>Nombre de la Empresa:</td>
                                   <td>{{solicitud.empresa.nombre}}</td>
                               </tr>
                               <tr>
                                   <td>Rut de la Empresa :</td>
                                   <td>{{solicitud.empresa.rut}}</td>
                               </tr>
                               <tr>
                                   <td>Nombre de Encargado: </td>
                                   <td>{{solicitud.encargado.name}}</td>
                               </tr>
                               <tr>
                                   <td>Rut de Encargado: </td>
                                   <td>{{solicitud.encargado.rut}}</td>
                               </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-md-4">
                        <table class="table table-bordered">
                            <thead>
                                <th class="text-center" colspan="2">Datos del Alumno</th>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>Nombre del Alumno: </td>
                                    <td>{{solicitud.alumno.name}}</td>
                                </tr>
                                <tr>
                                    <td>Rut del Alumno: </td>
                                    <td>{{solicitud.alumno.rut}}</td>
                                </tr>
                                <tr>
                                    <td>Programa del Alumno: </td>
                                    <td>{{solicitud.carrera}}</td>
                                </tr>
                                <tr>
                                	<td>Cursando Proyecto de Título</td>
                                	<td>No</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>                   
                    <div class="col-md-4">
                        <table class="table table-bordered">
                            <thead>
                                <th class="text-center" colspan="2">Observaciones de la Solicitud</th>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>{{solicitud.observacion}}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>                   
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <button data-toggle="modal" data-target="#modalAprobar" class="btn btn-primary btn-block">Aprobar solicitud</button>
                    </div>
                    <div class="col-md-6">
                        <button class="btn btn-danger btn-block">Rechazar solicitud</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Seguimiento de la Solicitud</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row">
							<ul class="breadcrumb">
								{% if solicitud.step == "DS" %}
								<li class="completed"><a>Solicitud Generada</a></li>
								<li><a>Aprobación de DSA</a></li>
								<li><a>En Espera de Revisión</a></li>
								<li><a>Aprobación Dirección de Carrera</a></li>
								{% elif solicitud.step == "SE" %}
								<li class="completed"><a>Solicitud Generada</a></li>
								<li class="completed"><a>Aprobación de DSA</a></li>
								<li><a>En Espera de Revisión</a></li>
								<li><a>Aprobación Dirección de Carrera</a></li>
								{% elif solicitud.step == "DC" %}
								<li class="completed"><a>Solicitud Generada</a></li>
								<li class="completed"><a>Aprobación de DSA</a></li>
								<li class="completed"><a>En Espera de Revisión</a></li>
								<li><a>Aprobación Dirección de Carrera</a></li>
								{% endif %}
							</ul>
						</div>
						<div class="card">
							<div class="card-body">
								<div id="vertical-timeline" class="vertical-container dark-timeline center-orientation">
									<div class="vertical-timeline-block">
										<div class="vertical-timeline-icon navy-bg">
											<i class="fa fa-check"></i>
										</div>
										<div class="vertical-timeline-content">
											<h2>Solicitud Enviada</h2>
											<p>Tu Solicitud fue enviada, solo debes esperar a que un funcionario de la DSA la apruebe.
											</p>
											<span class="vertical-date">
												<small>{{solicitud.date}}</small>
											</span>
										</div>
									</div>
									{% for x in solicitud.respuestasolicitud_set.all %}
									{% if x.tipo == 1 and x.emisor == "DS" %}
									<div class="vertical-timeline-block">
										<div class="vertical-timeline-icon navy-bg">
											<i class="fa fa-check"></i>
										</div>
										<div class="vertical-timeline-content">
											<h2>Solicitud Aprobada por la DSA</h2>
											<p>Tu Solicitud fue aprobada por la DSA, ahora debes esperar a que esta sea redirigida a la Dirección de Carrera.
											</p>
											<span class="vertical-date">
												<small>{{x.date}}</small>
											</span>
										</div>
									</div>
									{% elif x.tipo == 0 and x.emisor == "DS" %}
									<div class="vertical-timeline-block">
										<div class="vertical-timeline-icon danger-bg">
											<i class="fa fa-times"></i>
										</div>
										<div class="vertical-timeline-content">
											<h2>Solicitud Rechazada por la DSA</h2>
											<p>Tu Solicitud fue rechazada por la DSA, para ver más detalles haz <a class="obs" data-respuesta="{{x.observacion}}" href="#">click aqui</a>.
											</p>
											<span class="vertical-date">
												<small>{{x.date}}</small>
											</span>
										</div>
									</div>
									{% elif x.tipo == 1 and x.emisor == "SE" %}
									<div class="vertical-timeline-block">
										<div class="vertical-timeline-icon navy-bg">
											<i class="fa fa-check"></i>
										</div>
										<div class="vertical-timeline-content">
											<h2>Solicitud Aprobada por la Secretaria</h2>
											<p>Tu Solicitud fue aprobada por la Secretaria, ahora debes esperar a que esta sea redirigida a la Dirección de Carrera.
											</p>
											<span class="vertical-date">
												<small>{{x.date}}</small>
											</span>
										</div>
									</div>
									{% elif x.tipo == 0 and x.emisor == "SE" %}
									<div class="vertical-timeline-block">
										<div class="vertical-timeline-icon danger-bg">
											<i class="fa fa-times"></i>
										</div>
										<div class="vertical-timeline-content">
											<h2>Solicitud Rechazada por la Secretaria</h2>
											<p>Tu Solicitud fue rechazada por la Secretaria, para ver más detalles haz <a class="obs" data-respuesta="{{x.observacion}}" href="#">click aqui</a>.
											</p>
											<span class="vertical-date">
												<small>{{x.date}}</small>
											</span>
										</div>
									</div>
									{% else %}
									<div class="vertical-timeline-block">
										<div class="vertical-timeline-icon danger-bg">
											<i class="fa fa-pencil"></i>
										</div>
										<div class="vertical-timeline-content">
											<h2>Solicitud Editada por el Alumno</h2>
											<p>La Solicitud fue editada por el Alumno.
											</p>
											<span class="vertical-date">
												<small>{{x.date}}</small>
											</span>
										</div>
									</div>
									{% endif %}
									{% endfor %}
								</div>
							</div>
						</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- modal block -->

        <div class="modal fade" id="modalAprobar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Aprobar Solicitud</h1>
            </div>
              <div class="modal-body">
                <form action="{% url 'aprobar_solicitud_dc' %}" method="post">
                {% csrf_token %}
                 <input style="display:none" id="pk_solicitud_aprobar" value="{{solicitud.pk}}" name="pk_solicitud_aprobar" type="text">
                  <div class="form-group">
                      <label for="comentario" class="control-label">Observación: </label>
                      <textarea required class="form-control" name="comentario" id="comentario" rows="5"></textarea>
                  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-primary"><i class="fa fa-check"></i> Aprobar</button>
                  </form>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->

{% endblock content %}


{% block javascript %}

<script>
$(document).ready(function(){
	

});
</script>

{% endblock javascript %}